<div id="attachmentFormModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <form name="attachmentForm" ng-submit="att.saveAttachment();">
                <div class="modal-header">
                    {{att.panelTitle}}
                </div>
                <div class="modal-body">
                    <input type="hidden" ng-model="att.attachment.id" />

                    <div class="row">
                        <div class="col-xs-12 form-group required">
                            <label><?= $this->translate('attachment_field_name') ?></label>
                            <input type="text" required ng-model="att.attachment.name" class="form-control" />
                            <field-errors field="name" errors="att.errors"></field-errors>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-6 form-group required">
                            <label><?= $this->translate('attachment_field_type') ?></label>
                            <select required ng-model="att.attachment.type" class="form-control">
                                <?php
                                foreach (\Attachment\Entity\Attachment::getTypes() as $type) {
                                    echo '<option value="' . $type . '">' . $this->translate('attachment_type_' . $type) . '</option>';
                                }
                                ?>
                            </select>
                            <field-errors field="type" errors="att.errors"></field-errors>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-6 form-group required">
                            <label><?= $this->translate('attachment_field_url') ?></label>

                            <input type="text" ng-model="att.attachment.url" class="form-control" ng-if="att.attachment.type == '<?= \Attachment\Entity\Attachment::TYPE_URL ?>'" />

                            <div ng-if="att.attachment.type == '<?= \Attachment\Entity\Attachment::TYPE_FILE ?>'">
                                <input ng-required="!att.attachment.url" type="file" nv-file-select uploader="att.uploader" ng-model="att.attachment.file" class="hide-tooltip" />
                                <strong>
                                    {{att.attachment.filename || att.attachment.url}}
                                </strong>
                            </div>

                            <field-errors field="url" errors="att.errors"></field-errors>
                        </div>
                    </div>

                    <div class="row" ng-show="att.isImage">
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?= $this->translate('attachment_field_key') ?></label>
                                <input type="text" ng-model="att.attachment.key" class="form-control" />
                            </div>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button class="btn btn-default" type="button" data-dismiss="modal" data-target="#attachmentFormModal" ng-click="att.isImage = false">
                        <?= $this->translate('close') ?>
                    </button>
                    <button class="btn btn-submit" ng-disabled="att.loading.save">
                        <?= $this->icon('loading', '', ['ng-if' => 'att.loading.save']) ?>
                        <?= $this->translate('save') ?>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>